package com.adealink.weparty.im.manager.session

import com.adealink.frame.base.Rlt
import com.adealink.frame.frame.IBaseFrame

interface ISessionManager : IBaseFrame<ISessionListener> {

    suspend fun isSessionBlack(
        uid: String,
    ): Rlt<Boolean>

    suspend fun setSessionBlack(
        uids: String,
        black: Boolean
    ): Rlt<Map<String, Boolean>>


    suspend fun isSessionMute(
        uids: List<String>,
        chatInfoType: Int
    ): Rlt<Map<String, Boolean>>

    suspend fun setSessionMute(
        uids: List<String>,
        chatInfoType: Int,
        mute: Boolean
    ): Rlt<Any>

}